(function () {
    "use strict";

    angular.module('pos').config(config);
    config.$inject = ['$stateProvider', '$urlRouterProvider', '$locationProvider']

    function config($stateProvider, $urlRouterProvider, $locationProvider) {

        $urlRouterProvider.otherwise('/home');

        $stateProvider
            .state('state-home', { url: '/home', views: { 'body': { templateUrl: '/home/index', controller: 'homeController' } } })
            .state('state-login', { url: '/login', views: { 'body': { templateUrl: '/security/login', controller: 'loginController' } } })
            .state('state-redefinir', { url: '/redefinir/:id', views: { 'body': { templateUrl: '/security/redefinir', controller: 'redefinirController' } } })
            .state('state-revogar', { url: '/revogar/:id', views: { 'body': { templateUrl: '/security/revogar', controller: 'revogarController' } } })
            .state('state-about', { url: '/about', views: { 'body': { templateUrl: '/home/about', controller: 'aboutController' } } })

            .state('state-dashboard', { url: '/dashboard', views: { 'body': { templateUrl: '/dashboard/index', controller: 'dashboardController' } } })

            .state('state-cliente', { url: '/cliente', views: { 'body': { templateUrl: '/cliente/index', controller: 'clienteController' } } })
            .state('state-cliente-add', { url: '/cliente/add', views: { 'body': { templateUrl: '/cliente/add', controller: 'clienteAddController' } } })
            .state('state-cliente-detail', { url: '/cliente/detail/:id', views: { 'body': { templateUrl: '/cliente/detail', controller: 'clienteDetailController' } } })
            .state('state-cliente-edit', { url: '/cliente/edit/:id', views: { 'body': { templateUrl: '/cliente/edit', controller: 'clienteDetailController' } } })
            .state('state-cliente-edit-venda', { url: '/cliente/edit/:id/:boleta/:vendedor', views: { 'body': { templateUrl: '/cliente/edit', controller: 'clienteDetailController' } } })
            .state('state-cliente-consulta', { url: '/cliente/consulta/', views: { 'body': { templateUrl: '/cliente/consulta', controller: 'clienteConsultaController' } } })
            .state('state-cliente-consulta-detail', { url: '/cliente/consulta-edit/:codigo', views: { 'body': { templateUrl: '/cliente/consultadetail', controller: 'clienteConsultaDetailController' } } })


            .state('state-venda', { url: '/venda', views: { 'body': { templateUrl: '/venda/index', controller: 'vendaController' } } })
            .state('state-venda-add', { url: '/venda/add/:id', views: { 'body': { templateUrl: '/venda/add', controller: 'vendaAddController' } } })
            .state('state-venda-add-cliente', { url: '/venda/add/:id/:cliente/:boleta/:vendedor', views: { 'body': { templateUrl: '/venda/add', controller: 'vendaAddController' } } })
            .state('state-venda-edit', { url: '/venda/edit/:id', views: { 'body': { templateUrl: '/venda/edit', controller: 'pedidoDetailController' } } })

            .state('state-ticket-detail', { url: '/ticket/detail/:id/:emissao', views: { 'body': { templateUrl: '/ticket/detail', controller: 'ticketDetailController' } } })
            .state('state-ticket-detail-danfe', { url: '/ticket/detail/:id/:emissao/:danfe', views: { 'body': { templateUrl: '/ticket/detail/danfe', controller: 'ticketDetailController' } } })
            .state('state-pedido-detail', { url: '/pedido/:id', views: { 'body': { templateUrl: '/pedido/detail', controller: 'pedidoDetailController' } } })

            .state('state-produto-gerente', { url: '/produto-estoque', views: { 'body': { templateUrl: '/produtogerente/index', controller: 'produtoGerenteController' } } })
            .state('state-produto-detail-gerente', { url: '/produto-estoque/detail/:id/:filial/:transito', views: { 'body': { templateUrl: '/produtogerente/detail', controller: 'produtoGerenteDetailController' } } })

            .state('state-produto', { url: '/produto', views: { 'body': { templateUrl: '/produto/index', controller: 'produtoController' } } })
            .state('state-produto-detail', { url: '/produto/detail/:id', views: { 'body': { templateUrl: '/produto/detail', controller: 'produtoDetailController' } } })

            .state('state-pagamento-por-tipo-gestao', { url: '/pagamento-por-tipo-gestao', views: { 'body': { templateUrl: '/relatorio/PagamentoPorTipo', controller: 'relatorioPagamentoPorTipoController' } } })
            .state('state-venda-por-vendedor-gestao', { url: '/venda-por-vendedor-gestao', views: { 'body': { templateUrl: '/relatorio/VendaPorVendedor', controller: 'relatorioVendaPorVendedorController' } } })
            .state('state-venda-por-linha-gestao', { url: '/venda-por-linha-gestao', views: { 'body': { templateUrl: '/relatorio/VendaPorLinha', controller: 'relatorioVendaPorLinhaController' } } })
            .state('state-pagamento-por-adm-de-cartao-gestao', { url: '/pagamento-por-adm-de-cartao-gestao', views: { 'body': { templateUrl: '/relatorio/PagamentoPorAdmDeCartao', controller: 'relatorioPagamentoPorAdmCartaoController' } } })

            .state('state-pagamento-por-tipo', { url: '/pagamento-por-tipo', views: { 'body': { templateUrl: '/relatorio/PagamentoPorTipo', controller: 'relatorioPagamentoPorTipoController' } } })
            .state('state-venda-por-vendedor', { url: '/venda-por-vendedor', views: { 'body': { templateUrl: '/relatorio/VendaPorVendedor', controller: 'relatorioVendaPorVendedorController' } } })
            .state('state-pagamento-por-adm-de-cartao', { url: '/pagamento-por-adm-de-cartao', views: { 'body': { templateUrl: '/relatorio/PagamentoPorAdmDeCartao', controller: 'relatorioPagamentoPorAdmCartaoController' } } })

            .state('state-gestao', { url: '/gestao', views: { 'body': { templateUrl: '/gestao/index', controller: 'gestaoController' } } })

            .state('state-operacao-venda', { url: '/operacaovenda', views: { 'body': { templateUrl: '/operacaovenda/index', controller: 'operacaoVendaController' } } })
            .state('state-operacao-venda-detail', { url: '/operacaovenda/detail/:id', views: { 'body': { templateUrl: '/operacaovenda/detail', controller: 'operacaoVendaDetailController' } } })

            .state('state-vendedor', { url: '/vendedor', views: { 'body': { templateUrl: '/vendedor/index', controller: 'vendedorController' } } })
            .state('state-vendedor-detail', { url: '/vendedor/detail/:id', views: { 'body': { templateUrl: '/vendedor/detail', controller: 'vendedorDetailController' } } })
            .state('state-vendedor-realocar', { url: '/vendedor/realocar', views: { 'body': { templateUrl: '/vendedor/realocar', controller: 'vendedorRealocarController' } } })

            .state('state-entrada', { url: '/entrada', views: { 'body': { templateUrl: '/entrada/index', controller: 'entradaController' } } })
            .state('state-entrada-add', { url: '/entrada/add', views: { 'body': { templateUrl: '/entrada/add', controller: 'entradaAddController' } } })
            .state('state-entrada-detail', { url: '/entrada/detail/:codigo', views: { 'body': { templateUrl: '/entrada/detail', controller: 'entradaDetailController' } } })
            .state('state-entrada-edit', { url: '/entrada/edit/:codigo', views: { 'body': { templateUrl: '/entrada/edit', controller: 'entradaDetailController' } } })

            .state('state-saida', { url: '/saida', views: { 'body': { templateUrl: '/saida/index', controller: 'saidaController' } } })
            .state('state-saida-add', { url: '/saida/add', views: { 'body': { templateUrl: '/saida/add', controller: 'saidaAddController' } } })
            .state('state-saida-detail', { url: '/saida/detail/:codigo', views: { 'body': { templateUrl: '/saida/detail', controller: 'saidaDetailController' } } })
            .state('state-saida-edit', { url: '/saida/edit/:codigo', views: { 'body': { templateUrl: '/saida/edit', controller: 'saidaDetailController' } } })

            .state('state-consumivel', { url: '/consumivel', views: { 'body': { templateUrl: '/consumivel/index', controller: 'consumivelController' } } })
            .state('state-consumivel-add', { url: '/consumivel-add', views: { 'body': { templateUrl: '/consumivel/add', controller: 'consumivelAddController' } } })
            .state('state-consumivel-edit', { url: '/consumivel-edit/:id', views: { 'body': { templateUrl: '/consumivel/edit', controller: 'consumivelEditController' } } })

            .state('state-inventario', { url: '/inventario', views: { 'body': { templateUrl: '/inventario/index', controller: 'inventarioController' } } })
            .state('state-inventario-add', { url: '/inventario/add', views: { 'body': { templateUrl: '/inventario/add', controller: 'inventarioAddController' } } })
            .state('state-inventario-detail', { url: '/inventario/detail/:codigo/:filial', views: { 'body': { templateUrl: '/inventario/detail', controller: 'inventarioDetailController' } } })
            .state('state-inventario-edit', { url: '/inventario/edit/:codigo/:filial', views: { 'body': { templateUrl: '/inventario/edit', controller: 'inventarioDetailController' } } })

            .state('state-nota-fiscal', { url: '/notafiscal', views: { 'body': { templateUrl: '/notafiscal/index', controller: 'notaFiscalController' } } })
            .state('state-nota-fiscal-detail', { url: '/notafiscal/detail/:numero/:serie/:terminal/:chave', views: { 'body': { templateUrl: '/notafiscal/detail', controller: 'notaFiscalDetailController' } } })

            .state('state-evolucao-de-venda', { url: '/evolucao-de-venda', views: { 'body': { templateUrl: '/relatorio/EvolucaoDeVenda', controller: 'relatorioEvolucaoDeVendaController' } } })
            .state('state-evolucao-de-venda-por-vendedor', { url: '/evolucao-de-venda-por-vendedor', views: { 'body': { templateUrl: '/relatorio/EvolucaoDeVendaPorVendedor', controller: 'relatorioEvolucaoDeVendaPorVendedorController' } } })
            .state('state-ranking-de-vendedor', { url: '/ranking-de-vendedor', views: { 'body': { templateUrl: '/relatorio/RankingDeVendedor', controller: 'relatorioRankingDeVendedorController' } } })
            .state('state-top-10-de-produto', { url: '/top-10-de-produto', views: { 'body': { templateUrl: '/relatorio/Top10DeProduto', controller: 'relatorioTop10DeProdutoController' } } })
            .state('state-consolidado-vendedor', { url: '/consolidado-por-vendedor', views: { 'body': { templateUrl: '/relatorio/ConsolidadoPorVendedor', controller: 'relatorioConsolidadosPorVendedorController' } } })
            .state('state-nota-contingencia', { url: '/nota-contingencia', views: { 'body': { templateUrl: '/relatorio/NotaContingencia', controller: 'relatorioNotaContingenciaController' } } })
            .state('state-vale-presente', { url: '/vale-presente', views: { 'body': { templateUrl: '/relatorio/ValePresente', controller: 'relatorioValePresenteController' } } })
            .state('state-vendas-dia', { url: '/vendas-dia', views: { 'body': { templateUrl: '/relatorio/VendasDia', controller: 'relatorioVendasDiaController' } } })
            .state('state-resumo-caixa', { url: '/resumo-caixa', views: { 'body': { templateUrl: '/relatorio/ResumoDoCaixa', controller: 'relatorioResumoDoCaixaController' } } })
            .state('state-etiqueta-produto', { url: '/etiqueta-produto', views: { 'body': { templateUrl: '/relatorio/EtiquetaProduto', controller: 'relatorioEtiquetaProdutoController' } } })
            .state('state-etiqueta-produto-padrao', { url: '/etiqueta-produto-padrao', views: { 'body': { templateUrl: '/relatorio/EtiquetaProdutoPadrao', controller: 'relatorioEtiquetaProdutoPadraoController' } } })
            .state('state-config', { url: '/config', views: { 'body': { templateUrl: '/config/index', controller: 'configController' } } })
            .state('state-caixa', { url: '/caixa', views: { 'body': { templateUrl: '/caixa/index', controller: 'caixaController' } } })
            .state('state-fechamento-caixa', { url: '/fechamento-caixa', views: { 'body': { templateUrl: '/fechamentoCaixa/index', controller: 'fechamentoCaixaController' } } })
            .state('state-consulta', { url: '/consulta', views: { 'body': { templateUrl: '/consulta/index', controller: 'consultaController' } } })

            .state('state-usuario', { url: '/usuario', views: { 'body': { templateUrl: '/usuario/index', controller: 'usuarioController' } } })
            .state('state-usuario-detail', { url: '/usuario/edit/:codigo', views: { 'body': { templateUrl: '/usuario/detail', controller: 'usuarioDetailController' } } })

            .state('state-reserva', { url: '/reserva', views: { 'body': { templateUrl: '/reserva/index', controller: 'reservaController' } } })
            .state('state-reserva-add', { url: '/reserva/add', views: { 'body': { templateUrl: '/reserva/add', controller: 'reservaAddController' } } })
            .state('state-reserva-edit', { url: '/reserva/edit/:codigo', views: { 'body': { templateUrl: '/reserva/edit', controller: 'reservaEditController' } } })

            .state('state-nfcomplementar-edit', { url: '/notafiscalcomplementar/edit/:codigo', views: { 'body': { templateUrl: '/notafiscalcomplementar/edit', controller: 'notaFiscalComplementarController' } } })

            .state('state-consignacao', { url: '/consignacao', views: { 'body': { templateUrl: '/consignacao/index', controller: 'consignacaoController' } } })
            .state('state-consignacao-add', { url: '/consignacao/add', views: { 'body': { templateUrl: '/consignacao/add', controller: 'consignacaoAddController' } } })
            .state('state-consignacao-edit', { url: '/consignacao/edit/:codigo', views: { 'body': { templateUrl: '/consignacao/edit', controller: 'consignacaoEditController' } } })
            .state('state-consignacao-detail', { url: '/consignacao/detail/:codigo', views: { 'body': { templateUrl: '/consignacao/detail', controller: 'consignacaoDetailController' } } })

            .state('state-omni', { url: '/omni', views: { 'body': { templateUrl: '/omni/index', controller: 'omniController' } } })
            .state('state-omni-inhouse', { url: '/omni-inhouse', views: { 'body': { templateUrl: '/omniinhouse/index', controller: 'omniInHouseController' } } })
            .state('state-omni-offhouse', { url: '/omni-offhouse', views: { 'body': { templateUrl: '/omnioffhouse/index', controller: 'omniOffHouseController' } } })

            .state('state-recepcao', { url: '/recepcao', views: { 'body': { templateUrl: '/recepcao/index', controller: 'recepcaoController' } } })
            .state('state-operadora-cartao', { url: '/operadora-cartao', views: { 'body': { templateUrl: '/operadoracartao/index', controller: 'operadoracartaoController' } } })
            .state('state-cliente-atacado', { url: '/cliente-atacado', views: { 'body': { templateUrl: '/clienteatacado/index', controller: 'clienteAtacadoController' } } })
            .state('state-cliente-atacado-add', { url: '/cliente-atacado/add', views: { 'body': { templateUrl: '/clienteatacado/add', controller: 'clienteAtacadoAddController' } } })
            .state('state-cliente-atacado-detail', { url: '/cliente-atacado/detail/:id', views: { 'body': { templateUrl: '/clienteatacado/detail', controller: 'clienteAtacadoDetailController' } } })
            .state('state-cliente-atacado-edit', { url: '/cliente-atacado/edit/:id', views: { 'body': { templateUrl: '/clienteatacado/edit', controller: 'clienteAtacadoDetailController' } } })

            .state('state-checkout', { url: '/checkout/:id', views: { 'body': { templateUrl: '/checkout/index', controller: 'checkoutController' } } })
            .state('state-consulta-atacado', { url: '/consulta-atacado', views: { 'body': { templateUrl: '/consultaatacado/index', controller: 'consultaAtacadoController' } } })

            .state('state-pedido-atacado', { url: '/pedido-atacado', views: { 'body': { templateUrl: '/pedidoatacado/index', controller: 'pedidoAtacadoController' } } })
            .state('state-pedido-atacado-detail', { url: '/pedido-atacado/detail/:id', views: { 'body': { templateUrl: '/pedidoatacado/detail', controller: 'pedidoAtacadoDetailController' } } })
            .state('state-devolucao-atacado', { url: '/devolucao-atacado', views: { 'body': { templateUrl: '/devolucaoatacado/index', controller: 'devolucaoAtacadoController' } } })

            .state('state-pagamento-atacado-detail', { url: '/pagamento-atacado/detail/:id', views: { 'body': { templateUrl: '/pagamentoatacado/detail', controller: 'pagamentoAtacadoDetailController' } } })

            ;
        $locationProvider.html5Mode(false);
    }

})();